# solr_get_version

(PECL solr >= 0.9.1)

solr_get_version — Returns the current version of the Apache Solr extension

### Description

solr_get_version ( void ) : string

This function returns the current version of the extension as a string.

### Parameters

This function has no parameters.

### Return Values

It returns a string on success and `FALSE` on failure.

### Errors/Exceptions

This function throws no errors or exceptions.

### Examples

Example #1 solr_get_version() example

`<?php
$solr_version = solr_get_version();
print $solr_version;
?>`

The above example will output something similar to:

    0.9.6

### See Also

- SolrUtils::getSolrVersion() - Returns the current version of the Solr extension